<template>
  <NavBar />
  <router-view class="main" />
  <SnackUpdate :pwaUpdate="pwaUpdate" />
  <Footer />
</template>

<script lang="ts">
import { SnackUpdate } from '@/components'
import { useI18n } from 'vue-i18n'
import { pwaUpdate, theme as stateTheme } from '@/states'
import { ref, watchEffect } from 'vue'
import { NavBar, Footer } from '@/views'

const theme = ref(stateTheme)
watchEffect(() => (document.body.className = 'Body--' + stateTheme.value))

export default {
  components: { SnackUpdate, NavBar, Footer },

  provide() {
    return {
      theme,
      ...useI18n(),
    }
  },

  setup() {
    return { pwaUpdate, theme }
  },
}
</script>

<style lang="scss" scoped>
.main {
  flex: 1 1;
  overflow-x: hidden;
  overflow-y: auto;
}
</style>
